Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.pstricks
Interface PstricksConstants

All Known Implementing Classes:
  AbstractCurveFormatter, PicEllipseFormatter, PicParallelogramFormatter, PicTextFormatter, PstricksCustomizer, PstricksFormatter, PstricksUtilities

public interface PstricksConstants

Useful constants used across the jpicedt.format.output.pstricks package.

Version:
  $Id: PstricksConstants.java,v 1.10.2.1 2007/09/02 11:55:14 reynal Exp $
Author:
  Sylvain Reynal

Field Summary
`static String` | `CR_LF` Line separator for the current platform (i.e.
`static String` | `DEFAULT_FILE_WRAPPER_EPILOG`
`static String` | `DEFAULT_FILE_WRAPPER_PROLOG`
`static String` | `KEY_FILE_WRAPPER_EPILOG`
`static String` | `KEY_FILE_WRAPPER_PROLOG`
`static Arrow[]` | `PST_ARROWS` PsTricks supported Arrow's
`static String[]` | `PST_ARROWS_LEFT` Formatted string for a left arrow
`static String[]` | `PST_ARROWS_RIGHT` Formatted string for a right arrow
`static String[]` | `PST_COLORNAMES` associate colours name in the PsTricks syntax (cf.
`static Color[]` | `PST_COLORS` colours natively supported by PsTricks
`static String` | `RESCALING_TEX_FUNCTION`

Field Detail

### CR_LF

    public static final String CR_LF

  Line separator for the current platform (i.e. "\n" on Unix, "\n\r" on Windows, "\r" on Mac,..)

### KEY_FILE_WRAPPER_PROLOG

    public static final String KEY_FILE_WRAPPER_PROLOG

See Also:
  Constant Field Values

### KEY_FILE_WRAPPER_EPILOG

    public static final String KEY_FILE_WRAPPER_EPILOG

See Also:
  Constant Field Values

### DEFAULT_FILE_WRAPPER_PROLOG

    public static final String DEFAULT_FILE_WRAPPER_PROLOG

### DEFAULT_FILE_WRAPPER_EPILOG

    public static final String DEFAULT_FILE_WRAPPER_EPILOG

See Also:
  Constant Field Values

### RESCALING_TEX_FUNCTION

    public static final String RESCALING_TEX_FUNCTION

See Also:
  Constant Field Values

### PST_COLORS

    public static final Color[] PST_COLORS

  colours natively supported by PsTricks

### PST_COLORNAMES

    public static final String[] PST_COLORNAMES

  associate colours name in the PsTricks syntax (cf. PsTricks's doc p.4)

### PST_ARROWS

    public static final Arrow[] PST_ARROWS

  PsTricks supported Arrow's

### PST_ARROWS_LEFT

    public static final String[] PST_ARROWS_LEFT

  Formatted string for a left arrow

### PST_ARROWS_RIGHT

    public static final String[] PST_ARROWS_RIGHT

  Formatted string for a right arrow

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org